FeatureCollectionTable class final

A feature collection table represents an individual feature table in a FeatureCollection.

A FeatureCollectionTable consists of a feature definition (table schema) and a set of features that match that feature definition. You can obtain a FeatureCollectionTable from an existing FeatureCollection.tables collection or you can create a new FeatureCollectionTable programmatically in your app.

To create a new FeatureCollectionTable, you can use a constructor that defines a set of fields, the geometry type, and spatial reference, and then populate it by adding new features. Alternatively, you can create a new FeatureCollectionTable from a FeatureSet, such as the FeatureQueryResult returned from a FeatureTable.queryFeatures.

To render the features in a map or scene, add the FeatureCollectionTable to a FeatureCollection.tables collection, construct a FeatureCollectionLayer from the FeatureCollection, and add it to the map or scene's collection of operational layers. To specify the FeatureCollectionTable symbology, just apply a renderer to the FeatureCollectionTable.renderer. If required, you can override this symbology on a per-feature basis using the FeatureCollectionTable.setSymbolOverride.

Inheritance
Implemented types

Constructors

FeatureCollectionTable.new({required List<Field> fields, required GeometryType geometryType, SpatialReference? spatialReference, bool hasZ = false, bool hasM = false})
Creates an empty FeatureCollectionTable from the specified fields, geometry type, spatial reference. The table can contain z and m values.
factory
FeatureCollectionTable.withFeatureSet(FeatureSet featureSet)
Creates a FeatureCollectionTable populated from the specified FeatureSet.
factory
FeatureCollectionTable.withGeoElements({required List<GeoElement> geoElements, required List<Field> fields})
Creates a FeatureCollectionTable populated from the specified GeoElement collection.
factory

Properties

displayName ↔ String
A user-friendly name that can be displayed in the UI (for example, in a Table of Contents).
getter/setter pairinherited
extent → Envelope?
The geographic extent of features within the table.
no setterinherited
fields → List<Field>
The collection of Field objects representing the fields of the feature table.
no setterinherited
geometryType → GeometryType
The type of geometry of the features stored in this table.
no setterinherited
hasGeometry → bool
True if the feature table supports geographic features, false otherwise.
no setterinherited
hashCode → int
The hash code for this object.
no setterinherited
hasM → bool
True if the feature table supports geometries with M values, false otherwise.
no setterinherited
hasZ → bool
True if the feature table supports geometries with Z values, false otherwise.
no setterinherited
isEditable → bool
True if this feature table is editable, false otherwise.
no setterinherited
isPopupEnabled ↔ bool
A flag indicating whether the PopupDefinition defined on the PopupSource is enable / disable.
getter/setter pairinherited
layer → Layer?
The layer that displays this table, if any.
no setterinherited
layerInfo → ArcGISFeatureLayerInfo?
The layer info of the feature collection table.
no setter
loadError → ArcGISException?
The load error.
no setterinherited
loadStatus → LoadStatus
The load status.
no setterinherited
numberOfFeatures → int
The number of features in the table.
no setterinherited
onLoadStatusChanged → Stream<LoadStatus>
A stream that reports changes to the LoadStatus.
no setterinherited
popupDefinition ↔ PopupDefinition?
The pop-up definition.
getter/setter pairinherited
renderer ↔ Renderer?
The renderer for the feature collection table.
getter/setter pair
runtimeType → Type
A representation of the runtime type of the object.
no setterinherited
spatialReference → SpatialReference?
The spatial reference of the table.
no setterinherited
tableName → String
The name of the table in the source dataset.
no setterinherited

Methods

addFeature(Feature feature) → Future<void>
Adds a feature to the table.
inherited
addFeatures(List<Feature> features) → Future<void>
Adds a collection of features to the table.
inherited
canAdd() → bool
Determines whether you can add new features to the table.
inherited
cancelLoad() → void
Cancels loading metadata for the object.
inherited
canDelete(Feature feature) → bool
Determines whether you can delete the feature from the table.
inherited
canEditGeometry() → bool
Determines whether you can edit the geometry field in a table.
inherited
canUpdate(Feature feature) → bool
Determines whether you can update the feature in the table.
inherited
createFeature({Map<CaseInsensitiveString, dynamic> attributes = const {}, Geometry? geometry}) → Feature
Creates a new feature with the provided attribute values and, optionally, geometry.
inherited
deleteFeature(Feature feature) → Future<void>
Deletes a feature from the table.
inherited
deleteFeatures(List<Feature> features) → Future<void>
Deletes a collection of features from the table.
inherited
features() → Iterable<Feature>
Returns the feature iterator.
override
getField({required String fieldName}) → Field?
Retrieves the field with the given name.
inherited
getPopupDefinitionWithFeature(Feature feature) → PopupDefinition?
Gets the popup definition for the given feature in the feature table.
inherited
getSymbolOverride(Feature feature) → ArcGISSymbol?
Gets the symbol override for the given feature in the feature collection table.
load() → Future<void>
Loads the metadata for the object asynchronously.
inherited
noSuchMethod(Invocation invocation) → dynamic
Invoked when a nonexistent method or property is accessed.
inherited
queryExtent(QueryParameters queryParameters) → Future<Envelope>
Determines the minimum bounding envelope that contains features satisfying the provided query parameters.
inherited
queryFeatureCount(QueryParameters queryParameters) → Future<int>
Determines the count of features that satisfy the provided query parameters.
inherited
queryFeatures(QueryParameters queryParameters) → Future<FeatureQueryResult>
Submits a query against the table.
inherited
queryStatistics(StatisticsQueryParameters statisticsQueryParameters) → Future<StatisticsQueryResult>
Calculates values for the requested statistics.
inherited
retryLoad() → Future<void>
Loads or retries loading metadata for the object asynchronously.
inherited
setPopupDefinitionOverride({required Feature feature, PopupDefinition? popupDefinition}) → void
Sets the popup definition override for the given feature in the feature collection table.
setSymbolOverride({required Feature feature, ArcGISSymbol? symbol}) → void
Sets the symbol override for the given feature in the feature collection table.
toString() → String
A string representation of this object.
inherited
updateFeature(Feature feature) → Future<void>
Updates a feature in the table.
inherited
updateFeatures(List<Feature> features) → Future<void>
Updates a collection of features in the table.
inherited

Operators

operator ==(Object other) → bool
The equality operator.
inherited